Deactivate XML DSP Pop Feed
This endpoint deactivates DSP Pop Feed.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/xml/dsppopfeed/deactivate| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | DSP Pop Feed ID. | required |
{ "DspPopFeed": { "Id": 1 }}Response
Section titled “Response”{ "Status": "Ok", "DspPopFeed": { "Id": 1, "TeamId": 1, "AdvertiserId": 1, "AdvertiserName": "Advertiser", "Name": "DSP Pop Feed 1", "Tags": [ 1 ], "FeedUrlUsEast": "https://us-east.advertiser.com/pop?feed=123", "FeedUrlEu": "https://eu-east.advertiser.com/pop?feed=123", "FeedUrlApac": "https://eu-east.advertiser.com/pop?feed=123", "StatsApi": "", "StatsDashboardUrl": "", "DirectUrl": "", "FixedSpendCpc": 0.01, "MaxQps": 0, "AutoOptimize": 1, "PriceImp1000": 0, "SendOriginalSite": 0, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "PubIdListMode": 0, "PubIdList": "", "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "JsCheck": 0, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "RtbEps": [ 1 ], "PopFeeds": [ 1 ], "StatsByDate": "https://adelion.com/api/xml/stats/advertiser/pop?username=advertiser1&auth=7sdd23&feed=1&date_from={date_from}&date_to={date_to}&columns=DateStats,RemoteRequests,NetImpressions,Revenue", "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 1, "StatusString": "Inactive" }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Error Code | Meaning |
|---|---|
| 400 | Bad Request — You sent a body that isn’t JSON. |
| 401 | Unauthorized — Your access token is invalid. |
| 406 | Not Acceptable — Some value(s) inside JSON are missing or malformed, or requested object is not found. |
| 500 | Internal Server Error — We had a problem with our server. Try again later. |